
// to enable PROV references, add addProvReferences to preProcess in respec.js preamble

var addProvReferences = function() {
    for (var k in provReferences)
	berjon.biblio[k] = provReferences[k];
};

var provURLs= ["http://www.w3.org/TR/2013/REC-prov-dm-20130430/",
               "http://www.w3.org/TR/2013/REC-prov-o-20130430/",
               "http://www.w3.org/TR/2013/REC-prov-n-20130430/",
               "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/",
	       "http://www.w3.org/TR/2013/NOTE-prov-primer-20130430",
	       "http://www.w3.org/TR/2013/NOTE-prov-xml-20130430",
	       "http://www.w3.org/TR/2013/NOTE-prov-overview-20130430",
               "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430",
               "http://www.w3.org/TR/2013/NOTE-prov-dc-20130430",
               "http://www.w3.org/TR/2013/NOTE-prov-xml-20130430",
               "http://www.w3.org/TR/2013/NOTE-prov-links-20130430",
               "http://www.w3.org/TR/2013/NOTE-prov-dc-20130430",
               "http://www.w3.org/TR/2013/NOTE-prov-sem-20130430",
               "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430",
	       "http://www.w3.org/2011/prov/wiki/FormalSemanticsED",
	       "http://lists.w3.org/Archives/Public/public-prov-comments/" ];

var provReferences = {

        "PROV-DM":
          "Luc Moreau; Paolo Missier; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/REC-prov-dm-20130430/\"><cite>PROV-DM: The PROV Data Model</cite></a>. "+
          "30 April 2013, W3C Recommendation. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/REC-prov-dm-20130430/\">http://www.w3.org/TR/2013/REC-prov-dm-20130430/</a>",

        "PROV-SEM":
          "James Cheney; ed. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-sem-20130430\"><cite>Semantics of the PROV Data Model</cite></a>. "+
          "30 April 2013, W3C Note. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-sem-20130430\">http://www.w3.org/TR/2013/NOTE-prov-sem-20130430</a>.",

        "PROV-PRIMER":
          "Yolanda Gil; Simon Miles; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-primer-20130430/\"><cite>PROV Model Primer</cite></a>. "+
          "30 April 2013, W3C Note. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-primer-20130430/\">http://www.w3.org/TR/2013/NOTE-prov-primer-20130430/</a>",

        "PROV-O":
          "Timothy Lebo; Satya Sahoo; Deborah McGuinness; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/REC-prov-o-20130430/\"><cite>PROV-O: The PROV Ontology</cite></a>. "+
          "30 April 2013, W3C Recommendation. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/REC-prov-o-20130430/\">http://www.w3.org/TR/2013/REC-prov-o-20130430/</a>",

        "PROV-CONSTRAINTS":
          "James Cheney; Paolo Missier; Luc Moreau; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/REC-prov-constraints-20130430/\"><cite>Constraints of the PROV Data Model</cite></a>. "+
          "30 April 2013, W3C Recommendation. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/REC-prov-constraints-20130430/\">http://www.w3.org/TR/2013/REC-prov-constraints-20130430/</a>",

        "PROV-N":
          "Luc Moreau; Paolo Missier; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/REC-prov-n-20130430/\"><cite>PROV-N: The Provenance Notation</cite></a>. "+
          "30 April 2013, W3C Recommendation. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/REC-prov-n-20130430/\">http://www.w3.org/TR/2013/REC-prov-n-20130430/</a>",


        "PROV-XML":
          "Hook Hua; Curt Tilmes; Stephan Zednik; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-xml-20130430/\"><cite>PROV-XML: The PROV XML Schema</cite></a>. "+
          "30 April 2013, W3C Note. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-xml-20130430/\">http://www.w3.org/TR/2013/NOTE-prov-xml-20130430/</a>",

        "PROV-OVERVIEW":
          "Paul Groth; Luc Moreau; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-overview-20130430/\"><cite>PROV-OVERVIEW: An Overview of the PROV Family of Documents</cite></a>. "+
          "30 April 2013, W3C Note. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-overview-20130430/\">http://www.w3.org/TR/2013/NOTE-prov-overview-20130430/</a>",

        "PROV-AQ":
          "Graham Klyne; Paul Groth; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/\"><cite>Provenance Access and Query</cite></a>. "+
          "30 April 2013, W3C Note. "+
	"URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/\">http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/</a>",

        "PROV-LINKS":
          "Luc Moreau; Timothy Lebo; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-links-20130430/\"><cite>Linking Across Provenance Bundles</cite></a>. "+
          "30 April 2013, W3C Note. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-links-20130430/\">http://www.w3.org/TR/2013/NOTE-prov-links-20130430/</a>",

        "PROV-LAYOUT":
          "W3C PROV Working Group. "+
          "<a href=\"http://www.w3.org/2011/prov/wiki/Diagrams\"><cite>PROV Graph Layout Conventions</cite></a>. "+
          "2012. "+
          "URL: <a href=\"http://www.w3.org/2011/prov/wiki/Diagrams\">http://www.w3.org/2011/prov/wiki/Diagrams</a>",
          
        "PROV-DC":
          "Daniel Garijo; Kai Eckert; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-dc-20130430/\"><cite>Dublin Core to PROV Mapping</cite></a>. "+
          "30 April 2013, W3C Note. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-dc-20130430/\">http://www.w3.org/TR/2013/NOTE-prov-dc-20130430/</a>",

       "PROV-DICTIONARY":
          "Tom De Nies; Sam Coppens; eds. "+
          "<a href=\"http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/\"><cite>PROV Dictionary: Modeling Provenance for Dictionary Data Structures</cite></a>. "+
          "30 April 2013, W3C Note. "+
          "URL: <a href=\"http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/\">http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/</a>",



}

function checkLinksToW3CReports () {
    $('a').each(function(index) {
        var myRef=$(this).attr('href');
        if (myRef!=undefined) {
            if (myRef.startsWith('http') && myRef.contains('prov-')) {
                var check=false;
                for (var k in provURLs) {
                    if (myRef.startsWith(provURLs[k])) { check=true; }
                }
                if (!check) {
                    console.log( "links " +  myRef);
                }
            }
        }
    })
}

